Subject: Re: [PATCH v3] upload-pack.c: treat want-ref relative to namespace

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Aug 2021 15:17:15 -0700

Kim Altintop <[email-masked]> writes:

>> > +	) &&
>> > +	git -C "$REPO" config uploadpack.allowRefInWant true
>>
>> I do not see a reason why the last step wants to be done outside the
>> subshell, which we would be using anyway. Does it clarify something?
>
> I agree, but was sticking to the style that was already there. I'll then revise
> the other setup steps as part of the refactor.

Touching existing tests only for this, unlike the creation of a
helper out of existing test to improve reuse, does not improve
anything.  I was curious if there was a good reason to create in a
subshell and configure in a separate step, and "others do the same"
is good enough to satisfy the curiousity.

Thanks.